#!/bin/sh

echo "pre-uninstall"


container=$(docker container ls -a | grep Vaultwarden | awk '{print $1}')
im=$(docker images | grep vaultwarden/server | grep latest | awk '{print $3}')

echo $container
echo $im

if [ ! -z $container ]; then 
	docker kill $container
	sleep 2
	docker rm -f $container
fi

if [ ! -z $im ]; then 
	if [ "$APKG_PKG_STATUS" == "uninstall" ]; then
		docker rmi -f $im
	fi
fi


#kill new database v12.9 container and image

container=$(docker ps -a | grep vaultwarden_pgsql | awk '{print $1}')
im=$(docker images | grep postgres | grep 12.13 | awk '{print $3}')

echo $container
echo $im

if [ ! -z $container ]; then 
	docker kill $container
	sleep 2
	docker rm -f $container
fi

if [ ! -z $im ]; then 
	if [ "$APKG_PKG_STATUS" == "uninstall" ]; then
		docker rmi -f $im
	fi
fi

