#!/bin/sh

echo "start-stop"

CONTAINER_NAME=Vaultwarden
DB_CONTAINER_NAME=vaultwarden_pgsql

# MUST start the db container first for Bitwarden, otherwise, Bitwarden container will fail to connect database after starting.

case "$1" in
    start)
        echo "Start $CONTAINER_NAME container..."
		docker start $DB_CONTAINER_NAME
		sleep 3
        docker start $CONTAINER_NAME
        sleep 3 
                        
        ;;
    stop)
    	echo "Stop $CONTAINER_NAME container..."
    	docker stop $CONTAINER_NAME
		sleep 3
		docker stop $DB_CONTAINER_NAME
    	sleep 3
        ;;
    reload)
    	echo "Reload $CONTAINER_NAME container..."
    	docker stop $CONTAINER_NAME
    	sleep 3
    	docker start $CONTAINER_NAME
    	sleep 3
        ;;
    *)
        echo "Usage: $0 {start|stop|reload}"
        exit 1
        ;;
esac
exit 0
